Aprepro 5.0x

Public Member Functions | Protected Attributes | List of all members
FlexLexer Class Referenceabstract

`#include <FlexLexer.h>`

Inheritance diagram for FlexLexer:
[legend]

## Public Member Functions
| FlexLexer ()
virtual | ~FlexLexer ()
const char * | YYText () const
int | YYLeng () const
virtual void | yy_switch_to_buffer (struct yy_buffer_state *new_buffer)=0
virtual struct yy_buffer_state * | yy_create_buffer (std::istream *s, int size)=0
virtual void | yy_delete_buffer (struct yy_buffer_state *b)=0
virtual void | yyrestart (std::istream *s)=0
virtual int | yylex ()=0
int | yylex (std::istream *new_in, std::ostream *new_out=nullptr)
virtual void | switch_streams (std::istream *new_in=nullptr, std::ostream *new_out=nullptr)=0
int | lineno () const
int | debug () const
void | set_debug (int flag)

## Protected Attributes
char * | yytext
int | yyleng
int | yylineno
int | yy_flex_debug

## Constructor & Destructor Documentation

## ◆ FlexLexer()

FlexLexer::FlexLexer | ( |  | ) |
| inline

## ◆ ~FlexLexer()

virtual FlexLexer::~FlexLexer | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ debug()

int FlexLexer::debug | ( |  | ) | const
| inline

## ◆ lineno()

int FlexLexer::lineno | ( |  | ) | const
| inline

## ◆ set_debug()

void FlexLexer::set_debug | ( | int | flag | ) |
| inline

## ◆ switch_streams()

virtual void FlexLexer::switch_streams | ( | std::istream * | new_in = `nullptr`,
|  | std::ostream * | new_out = `nullptr`
| ) |  |
| pure virtual

Implemented in SEAMSFlexLexer.

## ◆ yy_create_buffer()

virtual struct yy_buffer_state* FlexLexer::yy_create_buffer | ( | std::istream * | s,
|  | int | size
| ) |  |
| pure virtual

Implemented in SEAMSFlexLexer.

## ◆ yy_delete_buffer()

virtual void FlexLexer::yy_delete_buffer | ( | struct yy_buffer_state * | b | ) |
| pure virtual

Implemented in SEAMSFlexLexer.

## ◆ yy_switch_to_buffer()

virtual void FlexLexer::yy_switch_to_buffer | ( | struct yy_buffer_state * | new_buffer | ) |
| pure virtual

Implemented in SEAMSFlexLexer.

## ◆ YYLeng()

int FlexLexer::YYLeng | ( |  | ) | const
| inline

## ◆ yylex() [1/2]

virtual int FlexLexer::yylex | ( |  | ) |
| pure virtual

Implemented in SEAMSFlexLexer.

## ◆ yylex() [2/2]

int FlexLexer::yylex | ( | std::istream * | new_in,
|  | std::ostream * | new_out = `nullptr`
| ) |  |
| inline

## ◆ yyrestart()

virtual void FlexLexer::yyrestart | ( | std::istream * | s | ) |
| pure virtual

Implemented in SEAMSFlexLexer.

## ◆ YYText()

const char* FlexLexer::YYText | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ yy_flex_debug

int FlexLexer::yy_flex_debug
| protected

## ◆ yyleng

int FlexLexer::yyleng
| protected

## ◆ yylineno

int FlexLexer::yylineno
| protected

## ◆ yytext

char* FlexLexer::yytext
| protected

The documentation for this class was generated from the following file:

- FlexLexer.h